Katello - Bug #7077

Pulp default admin password set to ‘admin’, should be random generated
08/13/2014 04:25 PM - Walden Raines

Status: Closed
Priority: High
Assignee: Walden Raines
Category: Installer
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1127242 Red Hat JIRA:
Pull request: https://github.com/Katello/katello-installer
/pull/103
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1127242

Description of problem:

Having admin:admin as default pulp credentials should be considered a security issue and we shouldn't ship Sat 6 GA with this issue
inside

Version-Release number of selected component (if applicable):
6.0.3

How reproducible:
Always

Steps to Reproduce:
1. install sat6
2. grep default_password /etc/pulp/server.conf

Actual results:
The default password set to admin

curl -k -u admin:admin https://localhost/pulp/api/v2/repositories/
lets me to go to the list of repositories

Expected results:
The default password set to random script

curl -k -u admin:admin https://localhost/pulp/api/v2/repositories/
returns 401 Unauthorized

Additional info:

Associated revisions

Revision 0cd91f72 - 08/14/2014 09:40 AM - Walden Raines
Refs #7077/BZ1127242: generate random password for pulp user.

Generate a random password instead of using the password "admin"
for the default pulp user.

http://projects.theforeman.org/issues/7077
https://bugzilla.redhat.com/show_bug.cgi?id=1127242

Revision 881859bc - 08/14/2014 05:09 PM - Walden Raines

Merge pull request #24 from waldenraines/7077

Refs #7077/BZ1127242: generate random password for pulp user.

05/17/2024 1/2



https://bugzilla.redhat.com/show_bug.cgi?id=1127242
https://localhost/pulp/api/v2/repositories/
https://localhost/pulp/api/v2/repositories/
http://projects.theforeman.org/issues/7077
https://bugzilla.redhat.com/show_bug.cgi?id=1127242

Revision d65ac13c - 08/15/2014 11:40 AM - Walden Raines
Fixes #7077, #7006: update puppet-pulp module.

Revision 41847017 - 08/15/2014 03:27 PM - Walden Raines

Merge pull request #103 from waldenraines/7077

Fixes #7077, #7006: update puppet-pulp module.

History

#1 - 08/13/2014 04:38 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello-installer/pull/101 added
- Pull request deleted ()

#2 - 08/14/2014 09:12 AM - Walden Raines
- Pull request https://github.com/Katello/puppet-pulp/pull/24 added
- Pull request deleted (https://github.com/Katello/katello-installer/pull/101)

#3 - 08/14/2014 10:08 AM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/15/2014 11:42 AM - Walden Raines
- Pull request https://github.com/Katello/katello-installer/pull/103 added
- Pull request deleted (https://github.com/Katello/puppet-pulp/pull/24)

#5 - 08/15/2014 04:01 PM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello-installer|d65ac13c721df4b97e0ff4c297e53f024db2fa97.

#6 - 08/22/2014 09:29 AM - Eric Helms

- translation missing: en.field_release set to 13
